## mascyma 0.59-1ubuntu2

=== Makefile ===
# Copyright 2003, Matthias A. Benkard.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib/mascyma
SHAREDIR = $(PREFIX)/share
LOCALEDIR = $(SHAREDIR)/locale
GLADEDIR = $(SHAREDIR)/mascyma
DATADIR = $(SHAREDIR)/mascyma
MANDIR = $(SHAREDIR)/man

DESTDIR = $(PREFIX)
BINDEST = $(DESTDIR)/bin
SHAREDEST = $(DESTDIR)/share
LIBDEST = $(DESTDIR)/lib/mascyma
LOCALEDEST = $(SHAREDEST)/locale
GLADEDEST = $(SHAREDEST)/mascyma
DATADEST = $(SHAREDEST)/mascyma
MANDEST = $(SHAREDEST)/man

INSTALL = install
SED = sed
YADA = yada
DPKG_BUILDPACKAGE = dpkg-buildpackage -rfakeroot
CHMOD = chmod
RM = rm -f
GZIP = gzip --best

.PHONY: all clean po po-update deb install

all: pot-update po-update po domains mascyma mascyma.1.gz

po:
	cd po && "$(MAKE)" po && cd ..

po-update:
	cd po && "$(MAKE)" po-update && cd ..

pot-update:
	cd po && "$(MAKE)" pot-update && cd ..

domains:
	cd po && "$(MAKE)" domains && cd ..

clean:
	cd po && "$(MAKE)" clean && cd ..
	$(RM) mascyma
	$(RM) mascyma.1.gz

install: mascyma mascyma.1.gz
	$(INSTALL) -d $(BINDEST)
	$(INSTALL) -d $(LIBDEST)
	$(INSTALL) -d $(LOCALEDEST)
	$(INSTALL) -d $(GLADEDEST)
	$(INSTALL) -d $(DATADEST)
	$(INSTALL) -d $(MANDEST)/man1
	cd po && $(MAKE) install LOCALEDIR=$(LOCALEDIR) INSTALL=$(INSTALL) LOCALEDEST=$(LOCALEDEST) && cd ..
	
	$(INSTALL) --mode=755 mascyma $(BINDEST)/mascyma
	$(INSTALL) --mode=644 mascyma.glade $(GLADEDEST)/mascyma.glade
	$(INSTALL) --mode=644 mascyma.gladep $(GLADEDEST)/mascyma.gladep
	$(INSTALL) --mode=644 mascyma.xrc $(GLADEDEST)/mascyma.xrc
	$(INSTALL) --mode=644 mascyma.1.gz $(MANDEST)/man1/mascyma.1.gz
	
	#for directory in icons icons-big pixmaps; do\
	#	$(INSTALL) -d "$(DATADEST)/$${directory}";\
	#	for icon in data/$${directory}/*.png; do\
	#		$(INSTALL) --mode=644 "$${icon}" $(DATADEST)/$${directory}/`basename "$${icon}"`;\
	#	done;\
	#done
	
	for directory in core gui wxgui; do\
		$(INSTALL) -d "$(LIBDEST)/$${directory}";\
		for pyfile in $${directory}/*.py; do\
			$(INSTALL) --mode=644 "$${pyfile}" $(LIBDEST)/$${directory}/`basename "$${pyfile}"`;\
		done;\
	done

mascyma: mascyma.in
	$(SED) s:@PREFIX@:$(PREFIX):g\;s:@BINDIR@:$(BINDIR):g\;s:@LIBDIR@:$(LIBDIR):g\;s:@LOCALEDIR@:$(LOCALEDIR):g\;s:@GLADEDIR@:$(GLADEDIR):g\;s:@DATADIR@:$(DATADIR):g $< > $@
	-$(CHMOD) 0755 $@

mascyma.1.gz: mascyma.1
	$(GZIP) -c $< > $@

deb:
	$(YADA) rebuild
	$(DPKG_BUILDPACKAGE)

=== po/Makefile ===
# Copyright 2003, Matthias A. Benkard.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


.PHONY: all clean po po-update pot-update domains install

INTLTOOL_EXTRACT = intltool-extract
XGETTEXT = xgettext
MSGFMT = msgfmt -v
MSGMERGE = msgmerge
MSGMERGE_UPDATE = msgmerge --update
CP = cp
MV = mv
RM = rm -f
MKDIR = mkdir
SED = sed
INSTALL = install
PREFIX = /usr/local
LOCALEDIR = $(PREFIX)/share/locale
DESTDIR = $(PREFIX)
LOCALEDEST = $(DESTDIR)/share/locale

LANGUAGES = de en la sv
MOFILES = $(patsubst %,%.mo,$(LANGUAGES))
DOMAINFILES = $(patsubst %,.%.domain,$(LANGUAGES))
POUPDATEFILES = $(patsubst %,.%.po-update,$(LANGUAGES))

POTFILES = \
	../core/__init__.py \
	../core/common.py \
	../core/main.py \
	../core/maxima.py \
	../core/parser.py \
	\
	../gui/__init__.py \
	../gui/algebra.py \
	../gui/infodialog.py \
	../gui/main.py \
	../gui/mainwindow.py \
	../gui/plot.py \
	\
	../wxgui/__init__.py \
	../wxgui/common.py \
	../wxgui/main.py \
	../wxgui/mainwindow.py \
	../wxgui/util.py \
	../wxgui/xrcwidgets.py

all: pot-update po-update po domains

po: $(MOFILES)

%.mo: %.po
	$(MSGFMT) -o $@ $<

.%.po-update: %.po mascyma.pot
	$(MSGMERGE) $< mascyma.pot -o $<.new
	$(MV) $<.new $<
	$(RM) $<.new
	touch $@

po-update: $(POUPDATEFILES)

pot-update: mascyma.pot

mascyma.pot: $(POTFILES) ../mascyma.glade ../mascyma.xrc
	$(INTLTOOL_EXTRACT) --type=gettext/glade --srcdir=.. mascyma.glade
	$(SED) 's,<label>,<_label>,g;s,</label>,</_label>,g' < ../mascyma.xrc > mascyma.xrc.in
	$(INTLTOOL_EXTRACT) --type=gettext/xml --srcdir=. mascyma.xrc.in
	$(XGETTEXT) --default-domain=mascyma --directory=. \
		--add-comments=TRANSLATORS: --keyword=_ --keyword=N_:1,2 \
		--copyright-holder='Stefan F. Richter and Matthias A. Benkard' \
		--msgid-bugs-address='mascyma-l10n@mbenkard.de' \
		$(POTFILES) mascyma.glade.h mascyma.xrc.in.h
	-$(RM) mascyma.glade.h
	-$(RM) mascyma.xrc.in.h
	-$(RM) mascyma.xrc.in
	$(MV) mascyma.po mascyma.pot

domains: $(DOMAINFILES)

.%.domain: lang=$(patsubst .%.domain,%,$@)
.%.domain: %.mo
	if test -d $(lang); then :; else $(MKDIR) $(lang); fi
	if test -d $(lang)/LC_MESSAGES; then :; else $(MKDIR) $(lang)/LC_MESSAGES; fi
	$(CP) $(lang).mo $(lang)/LC_MESSAGES/mascyma.mo
	touch $@

install: all
	for ll in $(LANGUAGES); do \
		$(INSTALL) -d $(LOCALEDEST)/$${ll}/LC_MESSAGES; \
		$(INSTALL) --mode=644 $${ll}.mo $(LOCALEDEST)/$${ll}/LC_MESSAGES/mascyma.mo; \
	done

clean:
	rm -f $(MOFILES)
	rm -f $(patsubst %,%/LC_MESSAGES/mascyma.mo,$(LANGUAGES))
	-rmdir -p $(patsubst %,%/LC_MESSAGES,$(LANGUAGES))
	rm -f $(DOMAINFILES)
	rm -f $(POUPDATEFILES)

## mascyma 0.59-1

=== debian/changelog ===
mascyma (0.59-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sun, 11 Apr 2004 15:52:53 +0200

mascyma (0.58-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sun, 11 Apr 2004 15:45:22 +0200

mascyma (0.56-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sun, 11 Apr 2004 01:52:50 +0200

mascyma (0.50-1) unstable; urgency=low

  * Add Build-Depends.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sat, 10 Apr 2004 23:59:03 +0200

mascyma (0.49-1) unstable; urgency=high

  * Do not install to /bin, /lib, /share etc. but to /usr.
  * Build the mascyma executable upon "make all" instead of "make install".
  * Add a valid Depends: line.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sat, 10 Apr 2004 22:31:47 +0200

mascyma (0.48) unstable; urgency=low

  * Initial Debian version.

 -- Matthias Andreas Benkard <kirby-2@users.sourceforge.net>  Sat, 10 Apr 2004 20:15:43 +0200

=== debian/control ===
Source: mascyma
Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
Section: math
Priority: extra
Standards-Version: 3.6.1
Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils
Build-Depends-Indep: yada (>= 0.27)
Origin: Mulky Software Repository

Package: mascyma
Architecture: all
Depends: python (>= 2.3.0), libwxgtk-python (>= 2.4.0.0) | python-gtk2 (>= 2.2.0-1)
Recommends: maxima
Suggests: ${mascyma:Suggests}
Description: A user-friendly frontend for MAXIMA
 Mascyma is (trying to be) a user-friendly graphical frontend for the Computer
 Algebra System GNU MAXIMA.  It is written in Python and provides two GUIs,
 one of which based on PyGTK, the other based on wxPython.

=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.27, of Sun, 22 Feb 2004

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: $(shell which yada) debian/packages-tmp
	yada rebuild rules

control: debian/control
debian/control: $(shell which yada) debian/packages-tmp
	yada rebuild control

templates: debian/templates
debian/templates: $(shell which yada) debian/packages-tmp
	yada rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f $(shell which yada) -a -f debian/rules ]
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="mascyma" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'make PREFIX=/usr INFODIR=/usr/share/info MANDIR=/usr/share/man') | /bin/sh
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-mascyma/DEBIAN/control

debian/tmp-mascyma/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-mascyma
	umask 022 && install -d debian/tmp-mascyma/DEBIAN
	install -d debian/tmp-mascyma/usr/share/doc/mascyma
	umask 022; yada generate copyright \
	  > debian/tmp-mascyma/usr/share/doc/mascyma/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-mascyma/usr/share/doc/mascyma/changelog.Debian
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-mascyma" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-mascyma/DEBIAN" \
	  && export PACKAGE="mascyma" \
	  && export SOURCE="mascyma" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'make install DESTDIR=$$ROOT/usr') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-mascyma" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-mascyma/DEBIAN" \
	  && export PACKAGE="mascyma" \
	  && export SOURCE="mascyma" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
	yada compress mascyma
	yada generate maintscripts mascyma
	find debian/tmp-mascyma -type f -print \
	  | sed -n 's/^debian\/tmp-mascyma\(\/etc\/.*\)$$/\1/p' \
	  > debian/tmp-mascyma/DEBIAN/conffiles
	if test ! -s debian/tmp-mascyma/DEBIAN/conffiles; then rm -f debian/tmp-mascyma/DEBIAN/conffiles; fi
	yada rebuild control
	yada generate substvars mascyma
	umask 022 && dpkg-gencontrol -isp -pmascyma -Pdebian/tmp-mascyma

# Build package files

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: binary-arch-any

.PHONY: binary-arch-any
binary-arch-any:
binary-indep: \
	binary-package-mascyma

.PHONY: binary-package-mascyma
binary-package-mascyma: check-root debian/tmp-mascyma/DEBIAN/control
	@[ -f $(shell which yada) -a -f debian/rules ]
	chown -R 0.0 debian/tmp-mascyma
	chmod -R u=rwX,go=rX debian/tmp-mascyma
	@if [ -d debian/tmp-mascyma/usr/doc/mascyma ]; then \
	  echo "*** Yada warning: /usr/doc/mascyma should be /usr/share/doc/mascyma";\
	fi
	dpkg-deb --build debian/tmp-mascyma ..

.PHONY: check-root
check-root:
	@[ `id -u` = 0 ] || (echo "You must be root to do this!"; false)

debian/packages-tmp: debian/packages 
	yada rebuild packages

## Clean up afterwards

.PHONY: clean clean-install-tree clean-build

clean: clean-install-tree clean-build debian/control debian/rules
	rm -f debian/packages-tmp debian/packages-tmp-new debian/packages-tmp-include

clean-build:
	@[ -f $(shell which yada) -a -f debian/rules ]
	rm -f debian/build-stamp debian/build-arch-stamp debian/build-indep-stamp
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="mascyma" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'make clean || true') | /bin/sh
	yada unpatch
	rm -rf debian/tmp

clean-install-tree: debian/rules
	@[ -f $(shell which yada) -a -f debian/rules ]
	rm -f debian/install-tree-stamp
	rm -rf debian/tmp-* debian/files* debian/substvars debian/shlibs.local debian/ucf

## mascyma 0.59-1ubuntu2

=== debian/changelog ===
mascyma (0.59-1ubuntu2) edgy; urgency=low

  * Added mascyma.desktop.  Closes bug #49800

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu,  3 Aug 2006 23:50:59 +1000

mascyma (0.59-1ubuntu1) edgy; urgency=low

  * Added dep python-glade2.  Closes bug #54927
  * Bumped maxima from recommends to depends, so mascyma runs

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed,  2 Aug 2006 08:36:53 -0500

=== debian/control ===
Source: mascyma
Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
Section: math
Priority: extra
Standards-Version: 3.6.1
Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils, yada (>= 0.48)
Build-Depends-Indep: yada (>= 0.48)
Origin: Mulky Software Repository

Package: mascyma
Architecture: all
Depends: python (>= 2.3.0), libwxgtk-python (>= 2.4.0.0) | python-gtk2 (>= 2.2.0-1), python-glade2, maxima
Description: A user-friendly frontend for MAXIMA
 Mascyma is (trying to be) a user-friendly graphical frontend for the Computer
 Algebra System GNU MAXIMA.  It is written in Python and provides two GUIs,
 one of which based on PyGTK, the other based on wxPython.

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,57 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.27, of Sun, 22 Feb 2004
-
-DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-
-DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
-
-VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')
+# by yada v0.48, of Wed, 28 Sep 2005
+
+DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
+DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+DEB_HOST_ARCH_CPU    := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
+DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU 2>/dev/null)
+DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE 2>/dev/null)
+DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM 2>/dev/null)
+
+DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH 2>/dev/null)
+DEB_BUILD_ARCH_OS    := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
+DEB_BUILD_ARCH_CPU   := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
+DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU 2>/dev/null)
+DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE 2>/dev/null)
+DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM 2>/dev/null)
+
+# Take account of old dpkg-architecture output.
+ifeq ($(DEB_HOST_ARCH_CPU),)
+  DEB_HOST_ARCH_CPU := $(DEB_HOST_GNU_CPU))
+  ifeq ($(DEB_HOST_ARCH_CPU),i486)
+    DEB_HOST_ARCH_OS := i386
+  else
+  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
+    DEB_HOST_ARCH_OS := amd64
+  endif
+  endif
+endif
+ifeq ($(DEB_HOST_ARCH_OS),)
+  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
+  ifeq ($(DEB_HOST_ARCH_OS),gnu)
+    DEB_HOST_ARCH_OS := hurd
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_CPU),)
+  DEB_BUILD_ARCH_CPU := $(DEB_BUILD_GNU_CPU))
+  ifeq ($(DEB_BUILD_ARCH_CPU),i486)
+    DEB_BUILD_ARCH_OS := i386
+  else
+  ifeq ($(DEB_BUILD_ARCH_CPU),x86_64)
+    DEB_BUILD_ARCH_OS := amd64
+  endif
+  endif
+endif
+ifeq ($(DEB_BUILD_ARCH_OS),)
+  DEB_BUILD_ARCH_OS := $(subst -gnu,,$(DEB_BUILD_GNU_SYSTEM))
+  ifeq ($(DEB_BUILD_ARCH_OS),gnu)
+    DEB_BUILD_ARCH_OS := hurd
+  endif
+endif
+
+LEFT_PARENTHESIS:=(
+VERSION:=$(shell head -n1 debian/changelog | sed -e "s/^[0-9a-zA-Z.-]* $(LEFT_PARENTHESIS)//" -e "s/[^0-9a-zA-Z.:+~-].*//")
 
 SHELL=/bin/bash
 
@@ -55,8 +94,10 @@
 debian/control: $(shell which yada) debian/packages-tmp
 	yada rebuild control
 
-templates: debian/templates
+templates: debian/templates debian/po/POTFILES.in
 debian/templates: $(shell which yada) debian/packages-tmp
+	yada rebuild templates
+debian/po/POTFILES.in: $(shell which yada) debian/packages-tmp
 	yada rebuild templates
 
 debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
@@ -131,7 +172,7 @@
 	find debian/tmp-mascyma -type f -print \
 	  | sed -n 's/^debian\/tmp-mascyma\(\/etc\/.*\)$$/\1/p' \
 	  > debian/tmp-mascyma/DEBIAN/conffiles
-	if test ! -s debian/tmp-mascyma/DEBIAN/conffiles; then rm -f debian/tmp-mascyma/DEBIAN/conffiles; fi
+	test -s debian/tmp-mascyma/DEBIAN/conffiles || rm -f debian/tmp-mascyma/DEBIAN/conffiles
 	yada rebuild control
 	yada generate substvars mascyma
 	umask 022 && dpkg-gencontrol -isp -pmascyma -Pdebian/tmp-mascyma
@@ -177,20 +218,3 @@
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
 	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export SOURCE="mascyma" \
-	  && export VERSION="$(VERSION)" \
-	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
-	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
-	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
-	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
-	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
-	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
-	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
-	echo -E 'make clean || true') | /bin/sh
-	yada unpatch
-	rm -rf debian/tmp
-
-clean-install-tree: debian/rules
-	@[ -f $(shell which yada) -a -f debian/rules ]
-	rm -f debian/install-tree-stamp
-	rm -rf debian/tmp-* debian/files* debian/substvars debian/shlibs.local debian/ucf

## mascyma 0.59-1ubuntu3

=== debian/changelog ===
mascyma (0.59-1ubuntu3) intrepid; urgency=low

  * debian/packages:
    - Update Maintainer field as per spec (LP: #230350).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 23 May 2008 07:04:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mascyma
-Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 Section: math
 Priority: extra
 Standards-Version: 3.6.1
-Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils, yada (>= 0.48)
-Build-Depends-Indep: yada (>= 0.48)
+Build-Depends: make, intltool, dpkg-dev, gettext, gzip, yada, coreutils
 Origin: Mulky Software Repository
+Xsbc-Original-Maintainer: Matthias Andreas Benkard <mulk@mbenkard.de>
 
 Package: mascyma
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.48, of Wed, 28 Sep 2005
+# by yada v0.54, of Sun, 28 Oct 2007
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 DEB_HOST_ARCH_OS     := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
@@ -121,7 +121,7 @@
 	@[ -f $(shell which yada) -a -f debian/rules ]
 	touch debian/build-arch-stamp
 
-debian/build-indep-stamp:
+debian/build-indep-stamp: debian/build-arch-stamp
 	@[ -f $(shell which yada) -a -f debian/rules ]
 	touch debian/build-indep-stamp
 
@@ -134,7 +134,7 @@
 	rm -rf debian/tmp-mascyma
 	umask 022 && install -d debian/tmp-mascyma/DEBIAN
 	install -d debian/tmp-mascyma/usr/share/doc/mascyma
-	umask 022; yada generate copyright \
+	umask 022; yada generate copyright mascyma \
 	  > debian/tmp-mascyma/usr/share/doc/mascyma/copyright
 	install -m 644 -p debian/changelog \
 	  debian/tmp-mascyma/usr/share/doc/mascyma/changelog.Debian
@@ -217,4 +217,3 @@
 	rm -f debian/build-stamp debian/build-arch-stamp debian/build-indep-stamp
 	@umask 022 \
 	  && export pwd="$$(pwd)" \
-	  && export TMPROOT="$$(pwd)/debian/tmp" \
